Custom EXEs in 2022

Post Reply
Shadow_Wulfe
Terran Academy Student (50k mineral debt)
Terran Academy Student (50k mineral debt)
Posts: 6
Joined: Thu May 27, 2021 3:21 pm

Custom EXEs in 2022

Post by Shadow_Wulfe »

Have still been wanting to play through some of the excellent campaigns like Black Dream and LotC.

I noticed that something has been updated on the Moddb recently.

Do any of these work now with Windows 10? It has been proposed that I run a Win98 emulator, but I'm not quite sure that I am that proficient anymore.
User avatar
RazorclawX
Xel'naga World Shaper
Xel'naga World Shaper
Posts: 2055
Joined: Thu Aug 24, 2006 7:19 pm

Re: Custom EXEs in 2022

Post by RazorclawX »

To be honest I think Black Dream is mostly playable without the custom EXE except for the last one.

I don't know how any of them are run now lately since all I did was usually keep a copy of 1.07 Starcraft, but I realize how infeasible that is.
Image
-- Razorclaw X
Creator of Wanderers of Sorceria and Vision of the Future
Shadow_Wulfe
Terran Academy Student (50k mineral debt)
Terran Academy Student (50k mineral debt)
Posts: 6
Joined: Thu May 27, 2021 3:21 pm

Re: Custom EXEs in 2022

Post by Shadow_Wulfe »

RazorclawX wrote: Fri Apr 29, 2022 1:33 pm
I will have to look into a 1.07 copy maybe. I have the 1.16 and the free version, but was not sure how to get an older version. I wanted to go sequentially from Vision of the Future.

Thank you for the reply, and thank you for the incredible campaigns. Your work always drew me back.

One of these days I will have to dive into the morass that is whatever is going on with Warcraft III and how custom campaigns are possible with whatever forced set of updates are in it now.
blazin
Terran Refinery Attendant
Terran Refinery Attendant
Posts: 25
Joined: Thu Jun 30, 2016 9:26 am

Re: Custom EXEs in 2022

Post by blazin »

Very late post from me but I'll respond anyway just in case someone else visits this thread in the future.

Installing an old windows emulator is quite simple, doesn't require any proficiency whatsoever besides using google.

Anyway, back when I had windows 7 in my PC for some reason some older custom exes that didn't use Firegraft wouldn't run the game. So in order to deal with this I had to either:

1) Use WinMPQ (To extract MPQ files from the executable) + MPQDraft (To execute the game using the MPQs I extracted)

2) Use Firegraft to ''convert'' the old execuable in a new firegraft executable. This was simply done by opening the old executable with Firegraft, then choosing the ''Saving as'' option to generate a new exe file. This worked fine most of the time in mods with basic changes (such as mods that only add custom portraits and attacks) but in other mods it would cause minor bugs. This of course was a lazy method, ideally you would manually make changes to the exe to ensure the exe file is 100% compatible with 1.16.1 SC.


Bare in mind that some custom mods require to downgrade your starcraft version otherwise they won't work. Mods such as Aeon of the Hawk and Flame Knives (Both made by the same author) would only work in SC version 1.10. It's possible to make these mods compatible with SC 1.16.1, but you have to know what you are doing.

EDIT: Forgot to mention you can use a downgrader program to change the version of the game easily.
Post Reply